<?php // Section: Social Media Links

$wp_customize->add_section( 'social_media' , array(
    'title'     => 'Social Media Links',
    'priority'  => 31,
) );

// Facebook
$wp_customize->add_setting( 'facebook_link', array(
    'type'              => 'theme_mod',
	'sanitize_callback' => 'wp_filter_nohtml_kses'
) );
$wp_customize->add_control( new WP_Customize_Control(
    $wp_customize,
	'facebook_url',
	    array(
	        'label'    => __( 'Facebook Page URL', 'rem-theme' ),
	        'section'  => 'social_media',
	        'settings' => 'facebook_link',
	        'type'     => 'text'
	    )
    )
);
// End

// Twitter
$wp_customize->add_setting( 'twitter_link', array(
    'type'              => 'theme_mod',
	'sanitize_callback' => 'wp_filter_nohtml_kses'
) );
$wp_customize->add_control( new WP_Customize_Control(
    $wp_customize,
	'twitter_url',
	    array(
	        'label'         => __( 'Twitter Username', 'rem-theme' ),
	        'section'       => 'social_media',
	        'settings'      => 'twitter_link',
	        'type'          => 'text',
	        'input_attrs'   => array(
	            'placeholder'   => __('username', 'rem-theme'),
            )
	    )
    )
);
// End

// Instagram
$wp_customize->add_setting( 'instagram_link', array(
    'type'              => 'theme_mod',
	'sanitize_callback' => 'wp_filter_nohtml_kses'
) );
$wp_customize->add_control( new WP_Customize_Control(
    $wp_customize,
	'instagram_url',
	    array(
	        'label'         => __( 'Instagram Username', 'rem-theme' ),
	        'section'       => 'social_media',
	        'settings'      => 'instagram_link',
	        'type'          => 'text',
	        'input_attrs'   => array(
	            'placeholder'   => __('username', 'rem-theme'),
            )
	    )
    )
);
// End

// LinkedIn
$wp_customize->add_setting( 'linkedin_link', array(
    'type'              => 'theme_mod',
	'sanitize_callback' => 'wp_filter_nohtml_kses'
) );
$wp_customize->add_control( new WP_Customize_Control(
    $wp_customize,
	'linkedin_url',
	    array(
	        'label'         => __( 'LinkedIn URL', 'rem-theme' ),
	        'section'       => 'social_media',
	        'settings'      => 'linkedin_link',
	        'type'          => 'text'
	    )
    )
);
// End

// Pinterest
$wp_customize->add_setting( 'pinterest_link', array(
    'type'              => 'theme_mod',
	'sanitize_callback' => 'wp_filter_nohtml_kses'
) );
$wp_customize->add_control( new WP_Customize_Control(
    $wp_customize,
	'pinterest_url',
	    array(
	        'label'         => __( 'Pinterest URL', 'rem-theme' ),
	        'section'       => 'social_media',
	        'settings'      => 'pinterest_link',
	        'type'          => 'text'
	    )
    )
);
// End

// Youtube
$wp_customize->add_setting( 'youtube_link', array(
    'type'              => 'theme_mod',
	'sanitize_callback' => 'wp_filter_nohtml_kses'
) );
$wp_customize->add_control( new WP_Customize_Control(
    $wp_customize,
	'youtube_url',
	    array(
	        'label'         => __( 'Youtube URL', 'rem-theme' ),
	        'section'       => 'social_media',
	        'settings'      => 'youtube_link',
	        'type'          => 'text'
	    )
    )
);
// End

// Google Plus
$wp_customize->add_setting( 'google_plus_link', array(
    'type'              => 'theme_mod',
	'sanitize_callback' => 'wp_filter_nohtml_kses'
) );
$wp_customize->add_control( new WP_Customize_Control(
    $wp_customize,
	'google_plus_url',
	    array(
	        'label'         => __( 'Google+ URL', 'rem-theme' ),
	        'section'       => 'social_media',
	        'settings'      => 'google_plus_link',
	        'type'          => 'text'
	    )
    )
);
// End

// Google Plus
$wp_customize->add_setting( 'google_plus_link', array(
    'type'              => 'theme_mod',
	'sanitize_callback' => 'wp_filter_nohtml_kses'
) );
$wp_customize->add_control( new WP_Customize_Control(
    $wp_customize,
	'google_plus_url',
	    array(
	        'label'         => __( 'Google+ URL', 'rem-theme' ),
	        'section'       => 'social_media',
	        'settings'      => 'google_plus_link',
	        'type'          => 'text'
	    )
    )
);
// End

// Tripadvisor
$wp_customize->add_setting( 'tripadvisor_link', array(
    'type'              => 'theme_mod',
	'sanitize_callback' => 'wp_filter_nohtml_kses'
) );
$wp_customize->add_control( new WP_Customize_Control(
    $wp_customize,
	'tripadvisor_url',
	    array(
	        'label'         => __( 'Tripadvisor URL', 'rem-theme' ),
	        'section'       => 'social_media',
	        'settings'      => 'tripadvisor_link',
	        'type'          => 'text'
	    )
    )
);
// End